/* Menu ================ */

.menu {
  display: flex;
  justify-content: center;

  @media (--laptop-small-max) {
    display: block;
    width: 100%;
    max-width: 320px;
    height: 100vh;
    padding-top: 50px;
    padding-bottom: 50px;
    position: fixed;
    top: 0;
    right: 0;
    background: var(--color-primary);
    transform: translateX(100%);
    transition: var(--transition-type) var(--transition-time);
    z-index: 2;
    overflow-y: auto;

    &.menu--open {
      transform: translateX(0%);
    }
  }
}

.menu__list {
  display: flex;

  @media (--laptop-small-max) {
    flex-direction: column;
  }
}

.menu__item {
  display: flex;

  @media (--laptop-small-max) {
    justify-content: center;
  }
}

.menu__link {
  --link-gap: 10px;

  display: flex;
  align-items: center;
  margin-right: var(--link-gap);
  margin-left: var(--link-gap);
  border-top: 7px solid transparent;
  font-size: 14px;
  text-align: center;
  text-transform: uppercase;
  text-decoration: none;
  color: var(--color-black-light);

  &:hover {
    text-decoration: none;
    color: var(--color-primary);
  }

  &:active {
    background-color: var(--color-secondary);
  }

  @media (--laptop-max) {
    border-top-width: 3px;
    font-size: 12px;
  }

  @media (--laptop-small-max) {
    justify-content: center;
    width: 100%;
    padding-top: 15px;
    padding-bottom: 15px;
    margin: 0;
    border: none;
    color: var(--color-white);

    &:hover {
      color: var(--color-white);
    }
  }
}

.menu__link--active {
  border-top-color: var(--color-primary);
  color: var(--color-primary);
  cursor: default;

  @media (--laptop-small-max) {
    background: var(--color-primary-dark);
  }
}

.menu__button-close {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  padding: 0;
  position: absolute;
  top: 0;
  right: 0;
  border: 0;
  background-color: transparent;
  color: var(--color-white);
  cursor: pointer;

  .icon {
    width: 16px;
    height: 16px;
  }

  @media (--laptop-small-min) {
    display: none;
  }
}

.page__overlay {
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  background: var(--popup-overlay-background-color);
  transition: var(--transition-type) var(--transition-time);
  opacity: 0;
  z-index: var(--popup-overlay-z-index);
  overflow: hidden;
  pointer-events: none;

  &.page__overlay--show {
    opacity: 1;
    pointer-events: auto;
  }
}

/* ================ end menu */
